Arch Remove/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 14: Line 14:
==Описание==
==Описание==


<div class="mw-translate-fuzzy">
Инструменты «Удалить» позволяют выполнять 2 вида операций:
Инструменты «Удалить» позволяют выполнять 2 вида операций:
* Удалите подкомпонент из объекта Arch, например, удалите поле, добавленное к стене, например, в примере [[Arch Add]]
* Удалите подкомпонент из объекта Arch, например, удалите поле, добавленное к стене, например, в примере [[Arch Add]]
* Вычтите объект на основе [[Part Module|shape]] из компонента Arch, например [[Arch Wall|wall]] или [[Arch Structure|structure]]
* Вычтите объект на основе [[Part Module|shape]] из компонента Arch, например [[Arch Wall|wall]] или [[Arch Structure|structure]]
</div>


The counterpart of this tool is the [[Arch Add]] tool.
The counterpart of this tool is the {{Button|[[Image:Arch_Add.svg|16px]] [[Arch Add|Arch Add]]}} tool.


[[Image:Arch Remove example.jpg|600px]]
[[Image:Arch Remove example.jpg|600px]]
Line 28: Line 30:


# Select a subcomponent inside an Arch object.
# Select a subcomponent inside an Arch object.
# Press the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Remove]]}} button.
# Press the {{Button|[[Image:Arch Remove.svg|16px]]}} button, or {{KEY|Arch}} → {{KEY|[[Image:Arch_Remove.svg|16px]] [[Arch Remove|Remove]]}} from the top menu.


Or
Or
# Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
# Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
# Press the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Remove]]}} button.
# Press the {{Button|[[Image:Arch Remove.svg|16px]]}} button, or {{KEY|Arch}} → {{KEY|[[Image:Arch_Remove.svg|16px]] [[Arch Remove|Remove]]}} from the top menu.


==Scripting==
==Scripting==

Revision as of 20:59, 20 January 2020

Arch Remove

Системное название
Arch Remove
Расположение в меню
Архитектура → Удалить компонент
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Добавить компонент

Описание

Инструменты «Удалить» позволяют выполнять 2 вида операций:

  • Удалите подкомпонент из объекта Arch, например, удалите поле, добавленное к стене, например, в примере Arch Add
  • Вычтите объект на основе shape из компонента Arch, например wall или structure

The counterpart of this tool is the Arch Add tool.

В приведенном выше изображении коробка вычитается из стены

Использование

  1. Select a subcomponent inside an Arch object.
  2. Press the button, or Arch Remove from the top menu.

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the button, or Arch Remove from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Remove tool can be used in macros and from the Python console by using the following function:

removeComponents(objectsList, host=None)
  • Removes the given objects in objectsList from their parents.
  • If a host object is specified, this function will try adding the objects in objectsList as holes to the host.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()